{% comment %}
Copyright 2016 Mattia Basaglia

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
{% endcomment %}
{% load mldb %}

{% chart_figure "Most Talkative Characters" "pie_chart" %}
<ul>
{% for character in characters %}
    <li class="character_{{ character.slug }}">
        {% character_link character %}
        ({{ character.n_lines }} line{{ character.n_lines|pluralize }}{% if not single %}
        in {{ character.episodes }} episode{{ character.episodes|pluralize }}{% endif %})
    </li>
{% endfor %}
</ul>
